
QGIS Application - Bug report #21132

composer pdf export generates hidden items

2019-01-30 12:46 PM - Kepes Ádám

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.5(master) Regression?: No

Operating System: windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 28950

Description

see attached image!3.4.4 and 3.5 is still affected. the expression end the hide expression are the following:

transparency expression:

case when

attribute(get_feature( 'adat-QGIS','id','x'),'munkajelleg') like '%kitűz%'

and 

 aggregate(layer:= 'szerk_terület',aggregate:='count',expression:='HRSZ') is not 0

THEN 100

else 0

end

text expression:

[%case when (

 aggregate(layer:='szerk_terület', 

aggregate:='concatenate', expression:="sorszam", 

filter:="hasznalat"is 'tul', concatenator:=', ') is not null and

aggregate(layer:='szerk_terület', 

aggregate:='concatenate', expression:="sorszam", 

filter:="hasznalat"is 'alul', concatenator:=',') is not null and

aggregate(layer:='ve_ter',aggregate:='count_distinct',expression:="field_1") is 1

)

then

(

'A ' ||aggregate(layer:='szerk_terület', 

aggregate:='concatenate', expression:="HRSZ", 

filter:="hasznalat" is 'tul', concatenator:=', ') || 

' helyrajzi számú földrészletből a vázrajzon '  ||

aggregate(layer:='szerk_terület', 

aggregate:='concatenate', expression:="sorszam", 

filter:="hasznalat"is 'tul', concatenator:=', ')

' számmal jelölt területrész az állami ingatlan-nyilvántartási térképi adatbázi szerint nem tartozik a kitűzött földrészlethez.'

'\n   \n' 'A ' aggregate(layer:=

've_ter',aggregat

e:='concatenate',
expression:="field

_1",concatenator

:=',')

' helyrajzi számú földrészlet tulajdonosa a vázrajzon '  ||

aggregate(layer:='szerk_terület', 

aggregate:='concatenate', expression:="sorszam", 

filter:="hasznalat"is 'alul', concatenator:=', ')

' számmal jelölt területrészt nem használja, azt csak a szomszédos ' 

|| 

 aggregate(layer:='szerk_terület', 

aggregate:='concatenate', expression:="HRSZ", 

filter:="hasznalat"is 'alul', concatenator:=',')

|| 

 ' helyrajzi számú földrészlet tulajdonosának hozzájárulásával vagy véglegessé vált közigazgatási határozat vagy jogerős bírósági

ítélet (egyezséget jóváhagyó végzés) alapján veheti birtokba.'

 )

when (

 aggregate(layer:='szerk_terület', 

aggregate:='concatenate', expression:="sorszam", 

filter:="hasznalat"is 'tul', concatenator:=', ') is not null and

aggregate(layer:='szerk_terület', 

aggregate:='concatenate', expression:="sorszam", 

filter:="hasznalat"is 'alul', concatenator:=', ') is not null and

aggregate(layer:='ve_ter',aggregate:='count_distinct',expression:="field_1") > 1

)

then

(

'A ' || aggregate(layer:='szerk_terület', 

aggregate:='concatenate', expression:="HRSZ", 

filter:="hasznalat"is 'tul', concatenator:=', ') || 

' helyrajzi számú földrészletből a vázrajzon '  ||

aggregate(layer:='szerk_terület', 

aggregate:='concatenate', expression:="sorszam", 

filter:="hasznalat"is 'tul', concatenator:=', ')

' számmal jelölt területrész az állami ingatlan-nyilvántartási térképi adatbázi szerint nem tartozik a kitűzött földrészlethez.'

'\n   \n' 'A ' aggregate(layer:=

'szerk_terület', 

aggregate:='conc

atenate', 

expression:="mu

nka_HRSZ", 

filter:="hasznalat

"is 'alul', 

concatenator:=','

)

' helyrajzi számú földrészlet tulajdonosa a vázrajzon '  ||

aggregate(layer:='szerk_terület', 
aggregate:='concatenate', expression:="sorszam", 

filter:="hasznalat"is 'alul', concatenator:=',')

' számmal jelölt területrészt nem használja, azt csak a szomszédos ' 

|| 

 aggregate(layer:='szerk_terület', 

aggregate:='concatenate', expression:="HRSZ", 

filter:="hasznalat"is 'alul', concatenator:=', ')

|| 

 ' helyrajzi számú földrészlet tulajdonosának hozzájárulásával vagy véglegessé vált közigazgatási határozat vagy jogerős bírósági

ítélet (egyezséget jóváhagyó végzés) alapján veheti birtokba.'

 )

when (

 aggregate(layer:='szerk_terület', 

aggregate:='concatenate', expression:="sorszam", 

filter:="hasznalat"is 'tul', concatenator:=',') is  null and

aggregate(layer:='szerk_terület', 

aggregate:='concatenate', expression:="sorszam", 

filter:="hasznalat"is 'alul', concatenator:=', ') is not null and

aggregate(layer:='ve_ter',aggregate:='count_distinct',expression:="field_1") is 1

)

then

(

'A '

attribute(get_feature_by_id('sz

erk_terület',0),'munka_HRSZ')

' helyrajzi számú földrészlet tulajdonosa a vázrajzon '  ||

aggregate(layer:='szerk_terület', 

aggregate:='concatenate', expression:="sorszam", 

filter:="hasznalat"is 'alul', concatenator:=', ')

' számmal jelölt területrészt nem használja, azt csak a szomszédos ' 

|| 

 aggregate(layer:='szerk_terület', 

aggregate:='concatenate', expression:="HRSZ", 

filter:="hasznalat"is 'alul', concatenator:=', ')

|| 

 ' helyrajzi számú földrészlet tulajdonosának hozzájárulásával vagy véglegessé vált közigazgatási határozat vagy jogerős bírósági

ítélet (egyezséget jóváhagyó végzés) alapján veheti birtokba.'

 )

when (

 aggregate(layer:='szerk_terület', 

aggregate:='concatenate', expression:="sorszam", 

filter:="hasznalat"is 'tul', concatenator:=', ') is  null and

aggregate(layer:='szerk_terület', 

aggregate:='concatenate', expression:="sorszam", 

filter:="hasznalat"is 'alul', concatenator:=', ') is not null and
aggregate(layer:='ve_ter',aggregate:='count_distinct',expression:="field_1") > 1

)

then

(

'A '

aggregate(layer:='szerk_terület

', 

aggregate:='concatenate', 

expression:="munka_HRSZ", 

filter:="hasznalat"is 'alul', 

concatenator:=', ')

' helyrajzi számú földrészlet tulajdonosa a vázrajzon '  ||

aggregate(layer:='szerk_terület', 

aggregate:='concatenate', expression:="sorszam", 

filter:="hasznalat"is 'alul', concatenator:=', ')

' számmal jelölt területrészt nem használja, azt csak a szomszédos ' 

|| 

 aggregate(layer:='szerk_terület', 

aggregate:='concatenate', expression:="HRSZ", 

filter:="hasznalat"is 'alul', concatenator:=', ')

|| 

 ' helyrajzi számú földrészlet tulajdonosának hozzájárulásával vagy véglegessé vált közigazgatási határozat vagy jogerős bírósági

ítélet (egyezséget jóváhagyó végzés) alapján veheti birtokba.'

 )

when (

 aggregate(layer:='szerk_terület', 

aggregate:='concatenate', expression:="sorszam", 

filter:="hasznalat"is 'tul', concatenator:=', ') is  not null and

aggregate(layer:='szerk_terület', 

aggregate:='concatenate', expression:="sorszam", 

filter:="hasznalat"is 'alul', concatenator:=', ') is null and

aggregate(layer:='ve_ter',aggregate:='count_distinct',expression:="field_1") is 1

)

then

(

'A ' || aggregate(layer:='szerk_terület', 

aggregate:='concatenate', expression:="HRSZ", 

filter:="hasznalat"is 'tul', concatenator:=', ') || 

' helyrajzi számú földrészletből a vázrajzon '  ||

aggregate(layer:='szerk_terület', 

aggregate:='concatenate', expression:="sorszam", 

filter:="hasznalat"is 'tul', concatenator:=', ')

' számmal jelölt területrész az állami ingatlan-nyilvántartási térképi adatbázi szerint nem tartozik a kitűzött földrészlethez.'

 )
when (

 aggregate(layer:='szerk_terület', 

aggregate:='concatenate', expression:="sorszam", 

filter:="hasznalat"is 'tul', concatenator:=', ') is  not null and

aggregate(layer:='szerk_terület', 

aggregate:='concatenate', expression:="sorszam", 

filter:="hasznalat"is 'alul', concatenator:=', ') is null and

aggregate(layer:='ve_ter',aggregate:='count_distinct',expression:="field_1") > 1

)

then

(

'A ' || aggregate(layer:='szerk_terület', 

aggregate:='concatenate', expression:="HRSZ", 

filter:="hasznalat"is 'tul', concatenator:=', ') || 

' helyrajzi számú földrészletből a vázrajzon '  ||

aggregate(layer:='szerk_terület', 

aggregate:='concatenate', expression:="sorszam", 

filter:="hasznalat"is 'tul', concatenator:=', ')

' számmal jelölt területrész az állami ingatlan-nyilvántartási térképi adatbázi szerint nem tartozik a kitűzött földrészletekhez.'

 )

end

%]

History

#1 - 2019-01-30 08:17 PM - Nyall Dawson

- Status changed from Open to Feedback

You'll need to attach a self contained demonstration project showing this issue.

#2 - 2019-02-24 01:32 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Files

qgis bug.jpg 254 KB 2019-01-30 Kepes Ádám
